{% import "macro/form.twig" as form %}
<div class="container-fluid">
<button onclick=permission.user() class="button btn btn-primary fr">Permit User</button>
<button onclick=permission.batch() class="button btn btn-primary fr">Permit Batch</button>
	<div class="row">
		<div class="col-md-6">
			<h2>{{pages[0].name}}</h2>
		</div>
		<div class="col-md-6 go-to-page text-right">
		{{form.pagination()}}
		</div>
	</div>

	<hr>
	<div class="row">
		<div class="form-group col-md-12">
			{% for page in pages %}

				<div class="page">
					<img src="/img/book1/{{page.id}}" alt="">
				</div>
			{% endfor %}
		</div>
	</div>
</div>

<div frm="indvpermission" class="popup">
	<h2>Grant permission to user</h2>
	<form method="post">
		{{form.editor("Users","users","")}}
		<span>Add list of usernames, one in each row.</span>
		{{form.hidden("action","permit-book-user")}}
		{{for.hidden("book",pages[0].name)}}
		<button class="btn btn-primary fr">Grant Permission</button>
	</form>
</div>

<div frm="batch" class="popup">
	<h2>Grant permission to batch</h2>
	<form method="post">
		{{form.input("Batch","batch","")}}
		{{form.hidden("action","permit-book-batch")}}
		{{for.hidden("book",pages[0].name)}}
		<button class="btn btn-primary fr">Grant Permission</button>
	</form>
</div>